summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 15:18:46 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:46 +0200
commitc6970c498c9819b2e7157b250c15eaf3c02a9ffb (patch)
tree055b59fa13b3ee61ee0d86fc50589a24868375cf
parent8f8bc3862f932438307a2538629d2d9522524b7e (diff)
downloadslackbuilds-c6970c498c9819b2e7157b250c15eaf3c02a9ffb.tar.gz
slackbuilds-c6970c498c9819b2e7157b250c15eaf3c02a9ffb.tar.xz
system/ttf-sil-gentium: Initial import
-rw-r--r--system/ttf-sil-gentium/README19
-rw-r--r--system/ttf-sil-gentium/doinst.sh6
-rw-r--r--system/ttf-sil-gentium/slack-desc11
-rw-r--r--system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild53
-rw-r--r--system/ttf-sil-gentium/ttf-sil-gentium.info8
5 files changed, 97 insertions, 0 deletions
diff --git a/system/ttf-sil-gentium/README b/system/ttf-sil-gentium/README
new file mode 100644
index 0000000000..e3e97425f0
--- /dev/null
+++ b/system/ttf-sil-gentium/README
@@ -0,0 +1,19 @@
+Gentium is a typeface family designed to enable the diverse ethnic groups
+around the world who use the Latin script to produce readable, high-quality
+publications. It supports a wide range of Latin-based alphabets and includes
+glyphs that correspond to all the Latin ranges of Unicode.
+
+The design is intended to be highly readable, reasonably compact, and visually
+attractive. The additional ‘extended’ Latin letters are designed to naturally
+harmonize with the traditional 26 ones. Diacritics are treated with careful
+thought and attention to their use. Gentium also supports both polytonic and
+monotonic Greek, including a number of alternate forms. These fonts were
+originally the product of two years of research and study by the designer at
+the University of Reading, England, as part of an MA program in Typeface
+Design.
+
+Due to some funkiness with how wget interacts with the Gentium page's download
+links, it's recommended to download the source package with a web browser and
+then move it into the SlackBuild directory. However, if you do use wget, the
+script should detect it and fix the tarball name automatically.
+
diff --git a/system/ttf-sil-gentium/doinst.sh b/system/ttf-sil-gentium/doinst.sh
new file mode 100644
index 0000000000..fc94fe899c
--- /dev/null
+++ b/system/ttf-sil-gentium/doinst.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+# Update the X font indexes:
+if [ -x usr/X11R6/bin/fc-cache ]; then
+ usr/X11R6/bin/fc-cache -f
+fi
+
diff --git a/system/ttf-sil-gentium/slack-desc b/system/ttf-sil-gentium/slack-desc
new file mode 100644
index 0000000000..a9112a63da
--- /dev/null
+++ b/system/ttf-sil-gentium/slack-desc
@@ -0,0 +1,11 @@
+ttf-sil-gentium: Gentium - a typeface for the nations
+ttf-sil-gentium:
+ttf-sil-gentium: Gentium is a typeface family designed to enable the diverse
+ttf-sil-gentium: ethnic groups around the world who use the Latin script to
+ttf-sil-gentium: produce readable, high-quality publications. It supports a
+ttf-sil-gentium: wide range of Latin-based alphabets and includes glyphs that
+ttf-sil-gentium: correspond to all the Latin ranges of Unicode.
+ttf-sil-gentium:
+ttf-sil-gentium:
+ttf-sil-gentium:
+ttf-sil-gentium:
diff --git a/system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild b/system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild
new file mode 100644
index 0000000000..914eb5f5b3
--- /dev/null
+++ b/system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for ttf-sil-gentium
+# Written by Kyle Guinn
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=ttf-sil-gentium
+VERSION=1.02
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+# First, if the source was pulled with wget, then it might not get named
+# correctly - let's fix that
+if [ -e "$CWD/render_download.php?site_id=nrsi&format=file&media_id=Gentium_102_L_tar&filename=%2Fttf-sil-gentium_1.0.2.tar.gz" ]; then
+ mv "$CWD/render_download.php?site_id=nrsi&format=file&media_id=Gentium_102_L_tar&filename=%2Fttf-sil-gentium_1.0.2.tar.gz" \
+ "$CWD/-ttf-sil-gentium_1.0.2.tar.gz"
+fi
+
+# Watch out for the name of this tarball - the leading '-' might cause problems
+# To remove it, try `rm /path/to/-ttf-sil-gentium_1.0.2.tar.gz`
+# or rm -- -ttf-sil-gentium_1.0.2.tar.gz
+tar -xzvf $CWD/\-ttf-sil-gentium_1.0.2.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/share/fonts
+cp -a *.ttf $PKG/usr/share/fonts
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a FONTLOG GENTIUM-FAQ OFL* README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/ttf-sil-gentium/ttf-sil-gentium.info b/system/ttf-sil-gentium/ttf-sil-gentium.info
new file mode 100644
index 0000000000..412de97807
--- /dev/null
+++ b/system/ttf-sil-gentium/ttf-sil-gentium.info
@@ -0,0 +1,8 @@
+PRGNAM="ttf-sil-gentium"
+VERSION="1.02"
+HOMEPAGE="http://scripts.sil.org/Gentium_linux"
+DOWNLOAD="http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=Gentium_102_L_tar&filename=%2Fttf-sil-gentium_1.0.2.tar.gz"
+MD5SUM="4c3e6ae586be277537ebb68f2a45b883"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="robw810"